package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.PosStore;
import com.ruoyi.system.domain.PosType;

/**
 * 门店分类Mapper接口
 *
 * @author ruoyi
 * @date 2023-05-13
 */
public interface PosTypeMapper  extends BaseMapper<PosType>
{
    /**
     * 查询门店分类
     *
     * @param id 门店分类主键
     * @return 门店分类
     */
    public PosType selectPosTypeById(Long id);

    /**
     * 查询门店分类列表
     *
     * @param posType 门店分类
     * @return 门店分类集合
     */
    public List<PosType> selectPosTypeList(PosType posType);

    /**
     * 新增门店分类
     *
     * @param posType 门店分类
     * @return 结果
     */
    public int insertPosType(PosType posType);

    /**
     * 修改门店分类
     *
     * @param posType 门店分类
     * @return 结果
     */
    public int updatePosType(PosType posType);

    /**
     * 删除门店分类
     *
     * @param id 门店分类主键
     * @return 结果
     */
    public int deletePosTypeById(Long id);

    /**
     * 批量删除门店分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePosTypeByIds(Long[] ids);

    /**
     * 查询门店分类树结构
     *
     * @param posType 门店分类
     * @return 门店分类集合
     */
    public List<PosType> selectPosTypeTreeList(PosType posType);

    /**
     * 查询子分类数量
     *
     * @param parentId 父分类ID
     * @return 结果
     */
    public int selectPosTypeCountByParentId(Long parentId);
}
